summaryrefslogtreecommitdiff
path: root/virtualenv_embedded
diff options
context:
space:
mode:
authorMatthew Iversen <teh.ivo@gmail.com>2016-01-18 23:50:52 +1100
committerMatthew Iversen <teh.ivo@gmail.com>2016-01-18 23:50:52 +1100
commitfc136ebeec16cd68d2ca630c1687f1106cc507d6 (patch)
treee2142cd2c2448e3248795a95328220e24970cb7f /virtualenv_embedded
parent0149a3cf3c872907037fe13a2bf134cbeed2c094 (diff)
downloadvirtualenv-fc136ebeec16cd68d2ca630c1687f1106cc507d6.tar.gz
Homogenize test syntax, add explanation of it
Diffstat (limited to 'virtualenv_embedded')
-rw-r--r--virtualenv_embedded/activate.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/virtualenv_embedded/activate.sh b/virtualenv_embedded/activate.sh
index 4dff986..ecf30a7 100644
--- a/virtualenv_embedded/activate.sh
+++ b/virtualenv_embedded/activate.sh
@@ -5,6 +5,7 @@ deactivate () {
unset -f pydoc
# reset old environment variables
+ # ! [ -z ${VAR+_} ] returns true if VAR is declared at all
if ! [ -z "${_OLD_VIRTUAL_PATH+_}" ] ; then
PATH="$_OLD_VIRTUAL_PATH"
export PATH
@@ -47,7 +48,7 @@ PATH="$VIRTUAL_ENV/__BIN_NAME__:$PATH"
export PATH
# unset PYTHONHOME if set
-if ! [ -z "${PYTHONHOME+x}" ] ; then
+if ! [ -z "${PYTHONHOME+_}" ] ; then
_OLD_VIRTUAL_PYTHONHOME="$PYTHONHOME"
unset PYTHONHOME
fi